import { Component, h } from '@stencil/core';
import { depositConditions, depositPercent, extensionDeposit, footer, howOpenDeposit, introduction, langList, mainMenu, paymentDeposit, topMenuList } from '../../utils/mock';

@Component({
  tag: 's-monobank-deposit-wrapper',
  styleUrl: 's-monobank-deposit-wrapper.css',
  shadow: false,
  scoped: true,
})
export class SMonobankDepositWrapper {
  render() {
    return (
      <div>
        <s-cnt-monobank-header mainMenu={mainMenu} langList={langList} topMenuList={topMenuList} />
        <s-monobank-deposit-how-to-open-deposit howOpenDeposit={howOpenDeposit} />
        <s-monobank-deposit-calculator />
        <s-monobank-deposit-left-image introduction={introduction} />
        <s-monobank-deposit-percent depositPercent={depositPercent} />
        <s-monobank-deposit-banner-right-image extensionDeposit={extensionDeposit} />
        <s-monobank-deposit-left-image introduction={paymentDeposit} />
        <s-monobank-deposit-conditions depositConditions={depositConditions} />
        <s-cnt-monobank-footer footer={footer} />
      </div>
    );
  }
}
