import { Component, h } from '@stencil/core';

@Component({
  tag: 's-monobank-no-cart-banner',
  styleUrl: 's-monobank-no-cart-banner.css',
  shadow: false,
  scoped: true,
})


export class SMonobankNoCartBanner {

  render() {
    return (
      <div class="container">
        <div class="row">
          <div class="col">
            <div class="banner-wrapper">
              <div class="banner-content">
                <div class="banner-left">
                  <div class="banner-left-title">
                    Нет карты monobank?
                  </div>
                  <div class="banner-left-subtitle">
                    Не беда начните регистрацию в
                    приложении
                  </div>
                  <div class="banner-left-btn">
                    <button class="button btn-register" >Получить карту</button>
                  </div>
                  <div class="sub">
                    Открытие карты ни к чему не обязывает.
                    Но у нас есть еще очень много <span>крутых
                    предложений</span>
                  </div>
                </div>
                <div class="banner-right">
                  <div class="image-wrapper">
                    <div class="image-block"
                    style={{backgroundImage: 'url(https://www.monobank.ua/resources/0.1.28.0-1599837001000/img/installment/card-mobile.webp)'}}
                    ></div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    );
  }

}
