import { Component, h } from '@stencil/core';
import {footer, installmentBanner, langList, mainMenu, topMenuList} from '../../utils/mock';

@Component({
  tag: 's-monobank-installment-wrapper',
  styleUrl: 's-monobank-installment-wrapper.css',
  shadow: false,
  scoped: true,
})
export class SMonobankInstallmentWrapper {
  render() {
    return (
      <div>
        <s-cnt-monobank-header mainMenu={mainMenu} langList={langList} topMenuList={topMenuList} />
        <s-monobanl-installment-banner installmentBanner={installmentBanner}/>
        <s-monobank-how-installment/>
        <s-monobank-calculator-installment/>
        <s-monobank-no-cart-banner/>
        <s-cnt-monobank-footer footer={footer}/>
      </div>
    );
  }
}
